# eric4.QScintilla.Lexers.LexerTCL

Module implementing a TCL/Tk lexer with some additional methods.

### Classes

LexerTCL | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerTCL

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerTCL, Lexer

### Methods

LexerTCL | Constructor
initProperties | Public slot to initialize the properties.

#### LexerTCL (Constructor)

LexerTCL(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerTCL.initProperties

initProperties()

Public slot to initialize the properties.

Up